Bug 1285861 - Biopython for Python3 [NEEDINFO]
Summary: Biopython for Python3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-biopython
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-26 17:42 UTC by Antonio
Modified: 2015-12-30 17:50 UTC (History)
2 users (show)

Fixed In Version: python-biopython-1.66-3.el7 python-biopython-1.66-3.el6 python-biopython-1.66-3.fc23 python-biopython-1.66-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-22 22:04:11 UTC
anto.trande: needinfo? (bazanluis20)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1274276 None None None Never

Description Antonio 2015-11-26 17:42:50 UTC
Description of problem:
Please, build BioPython for Python3 since it would be useful for other packages.

If you haven't free time, i can co-maintain it.

Comment 1 Antonio 2015-12-02 17:31:29 UTC
New attempt to contact a maintainer.

Comment 2 Antonio 2015-12-08 22:11:13 UTC
I have chenged the SPEC file for Python3; tests are still disabled because of this issue:https://github.com/biopython/biopython/issues/669#issuecomment-156816746

Spec diff:
https://www.diffchecker.com/qmb5mrmg

Comment 3 Fedora Update System 2015-12-14 16:52:08 UTC
python-biopython-1.66-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc8d49157b

Comment 4 Fedora Update System 2015-12-14 16:52:09 UTC
python-biopython-1.66-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4c979db0a6

Comment 5 Fedora Update System 2015-12-14 16:52:17 UTC
python-biopython-1.66-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d620d7b81d

Comment 6 Fedora Update System 2015-12-14 16:52:17 UTC
python-biopython-1.66-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d31d2258c1

Comment 7 Fedora Update System 2015-12-15 07:20:11 UTC
python-biopython-1.66-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-biopython'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4c979db0a6

Comment 8 Fedora Update System 2015-12-15 10:53:03 UTC
python-biopython-1.66-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-biopython'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc8d49157b

Comment 9 Fedora Update System 2015-12-16 03:47:52 UTC
python-biopython-1.66-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-biopython'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d620d7b81d

Comment 10 Fedora Update System 2015-12-16 10:15:15 UTC
python-biopython-1.66-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d31d2258c1

Comment 11 Fedora Update System 2015-12-16 13:22:56 UTC
python-biopython-1.66-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-12-16 18:22:47 UTC
python-biopython-1.66-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-12-22 15:36:55 UTC
python-biopython-1.66-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d31d2258c1

Comment 14 Fedora Update System 2015-12-22 22:04:06 UTC
python-biopython-1.66-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-12-30 17:50:31 UTC
python-biopython-1.66-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.